Subject: bug#32127: RFE -- in the way "cp -rl" -- enable 'ln' to do likewise?

From: L A Walsh <[email-masked]>
Date: Sat, 14 Jul 2018 10:51:22 -0700

Paul Eggert wrote:
> On 07/12/2018 02:16 AM, L A Walsh wrote:
>>     I'm asking why does 'ln' bother to tell the user that they are
>> wrong and do nothing useful?  Why not just go ahead and create a symlink
> 
> The user didn't ask for a symlink,
User didn't ask for a physical or hardlink (-P) either.  Just asked
for a link, kind unspecified.

> and it sounds unwise for ln to be
> second-guessing that.
---
  True - should **probably** have given them *SOME* link.  Since
they didn't specify Physical or Symlink...either would be fine.

> Sometimes, reporting an error and exiting is a
> better thing to do.
---
	Unless they claim to want one or the other (-P or -l), unless
it is an "undo-able" operation (like one that deletes data), why would
you guarantee ln doing the wrong thing, rather than having a better than
50% chance of doing the right thing?